Name:           libspectrum
Version:        0.3.0.1
Release:        2%{?dist}
Summary:        A library for reading spectrum emulator file formats
Group:          System Environment/Libraries
License:        GPL
URL:            http://fuse-emulator.sourceforge.net/libspectrum.php
Source0:        http://dl.sf.net/fuse-emulator/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  bzip2-devel
BuildRequires:  glib2-devel
BuildRequires:  libgcrypt-devel
BuildRequires:  zlib-devel

%description
A library for reading various spectrum emulator file formats.


%package devel
Summary:    Development files for libspectrum
Group:      Development/Libraries
Requires:   %{name} = %{version}-%{release}
Requires:   libgcrypt-devel

%description devel
Development files for libspectrum.


%prep
%setup -q


%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root)
%{_libdir}/libspectrum.so.*
%{_mandir}/man3/libspectrum.3*
%doc README ChangeLog THANKS AUTHORS COPYING


%files devel
%defattr(-,root,root)
%exclude %{_libdir}/libspectrum.la
%{_libdir}/libspectrum.so
%{_includedir}/libspectrum.h
%doc doc/libspectrum.txt


%changelog
* Sat Jun 30 2007 Ian Chapman <packages@amiga-hardware.com> 0.3.0.1-2%{?dist}
- Release bump

* Sat Jun 30 2007 Ian Chapman <packages@amiga-hardware.com> 0.3.0.1-1%{?dist}
- Upgrade to 0.3.0.1
- Changes to spec due to new guidelines

* Fri Nov 11 2005 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.2.2-4
- Renamed spec file

* Fri Nov 11 2005 Paul Howarth <paul@city-fan.org> 0.2.2-3
- Remove Packager: tag
- Use full URL for source
- Use standard Fedora Extras buildroot
- Add buildreqs bzip2-devel, libgcrypt-devel, glib2-devel
- Add libgcrypt-devel req for -devel subpackage
- Unpack tarball quietly
- Don't build or include static library
- Use DESTDIR with make instead of %%makeinstall
- Honour %%{?_smp_mflags}
- Move manpage to -devel subpackage

* Mon Oct 17 2005 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0-2.2-2.3
- Multiple fixes to the spec file to bring it into line with FC rules

* Mon Jul 11 2005 Paul Johnson <paul@all-the-johnsons.co.uk> - 0.2.2-2.iss
- Rebuild for Fedora Core 4
- Slight alteration to SPEC file for it to work with the Fedora RPM tools

* Mon Feb 28 2005 Ian Chapman <packages@amiga-hardware.com> - 0.2.2-2.iss
- Change log duplicated in spec file, fixed.

* Mon Jul 19 2004 Ian Chapman <packages@amiga-hardware.com> - 0.2.2-1.iss
- Upgraded to version 0.2.2
- RPM built for Fedora Core 2

* Fri Dec 05 2003 Ian Chapman <packages@amiga-hardware.com> - 0.2.0.1-2
- Minor changes to changelog
- Improved use of macros
- Moved appropriate files to devel package

* Sat Dec 01 2003 Ian Chapman <packages@amiga-hardware.com> - 0.2.0.1-1
- Initial Release
